
Figure - Bug #116747
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开多个应用，进入recent，左右滑动应用卡片，应用卡片内容显示异常
2023-03-06 14:11 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-06

Priority: Normal Due date: 2023-03-10

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Reproducibility: Every time Fixed Version: 2023-03-14

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开多个应用（12个以上）

2、进入任务管理器

3、左右滑动应用卡片

【预期结果】

3、应用卡片的内容正常显示

【实际结果】

3、部分应用卡片先显示黑屏和白屏，然后才显示出页面内容

【复现率】

3/3

History

#1 - 2023-03-07 11:10 - CD APP-王营

- Due date set to 2023-03-10

- Status changed from New to ASSIGNED

#2 - 2023-03-07 11:11 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-03-07 19:25 - CD APP-王宏

- % Done changed from 0 to 30

■ Current conclusion

分析中

■ My analysis

此处存在复用回收策略，看不见的卡片bitmap会被回收，如果确实需要快速滑动没有闪烁，

就必须取消此策略，全部加载，但是如果数目特别巨大，会有内存溢出的风险，需要谨慎考虑。
■ Next action

评风险情况，再做决定

数目巨大的一个数量范围是多少

#4 - 2023-03-09 10:34 - CD APP-王宏

- % Done changed from 30 to 50

■ Current conclusion

已提交

■ My analysis

测试过程中发现最大数量为47，在此状态下程序运行良好，未见不良反应，故此我们选择全部展示，不做复用处理

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/186502

#5 - 2023-03-10 16:58 - CD APP-王宏

■ Current conclusion

已提交

■ My analysis

方案1：沿用当前机制，RecentsView内部的taskView加载缩略图会有复用机制，移出屏幕的taskView会被回收，这种方式保证了性能，规避了内存溢出的风

险。

方案2：去除复用机制，全部加载，这种情况目前来看用户体验较好，但是存在内存溢出的风险，会导致崩溃，目前测试上限47个卡片未出现明显异常，

另外就是会有卡顿的风险，加载大量缩略图占用内存没有被回收释放。

根据和需求方的沟通，最终敲定了第二种方案，此方案还需要测试配合验证测试一下，看看会不会有卡顿和内存溢出

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/186502

#6 - 2023-03-13 10:23 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-03-14

- Root cause set to AOSP问题

#7 - 2023-03-13 10:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186502 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Fix the flashing problem under the fast sliding of the cardTC-RID: 1201-0205302IssueID: TS-R-BUG-116747Change-Id:

I874525cb4ce6adfdbf128b2bfe5fe5833f624cfc

#8 - 2023-03-15 17:26 - CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/186502
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/186502


- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

3.14

验证通过

#9 - 2023-03-15 17:26 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-06 14-06-37.mp4 6.04 MB 2023-03-06 CD TEST-方永红
